: Class TableForm

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mortbay.HTML
Class TableForm

    java.lang.Object
      |
      +--com.mortbay.HTML.Element
            |
            +--com.mortbay.HTML.Composite
                  |
                  +--com.mortbay.HTML.Block
                        |
                        +--com.mortbay.HTML.Form
                              |
                              +--com.mortbay.HTML.TableForm

public class TableForm
extends Form

A form laid out in a Table

This class creates a form and lays out all the elements within a table. Each element added has a label part and a element part. The label is displayed in the form beside the element. All buttons are shown at the bottom.

Fields inherited from class com.mortbay.HTML.Form
`encodingMultipartForm, encodingWWWURL`

Fields inherited from class com.mortbay.HTML.Block
`Bold, Center, Div, Italic, Left, Listing, Plain, Pre, Quote, Right, Span, Xmp`

Fields inherited from class com.mortbay.HTML.Composite
`elements, nest`

Fields inherited from class com.mortbay.HTML.Element
`ALIGN, attributeMap, BGCOLOR, BOTTOM, CENTER, CLASS, COLOR, HEIGHT, ID, LEFT, MIDDLE, noAttributes, RIGHT, SIZE, STYLE, TOP, VALIGN, WIDTH`

Constructor Summary
`TableForm(java.lang.String target)` Create a new TableForm

Method Summary
`Input` | `addButton(java.lang.String tag, java.lang.String label)` Add a Submit Button
`void` | `addButtonArea()`
`void` | `addButtonArea(java.lang.String label)`
`void` | `addButtonRow()`
`void` | `addCheckbox(java.lang.String tag, java.lang.String label, boolean checked)`
`void` | `addColumn()` Create a new column in the form.
`void` | `addColumn(int spacing)` Create a new column in the form.
`void` | `addField(java.lang.String label, Element field)` Add an arbitrary element to the table
`void` | `addHiddenField(java.lang.String tag, java.lang.String value)` Add a hidden field.
`void` | `addInfoField(java.lang.String tag, java.lang.String label, java.lang.String value)` Add an informational field which also passes the data as hidden
`void` | `addPassword(java.lang.String tag, java.lang.String label, int length)` Add a password field
`void` | `addReset(java.lang.String label)` Add a reset button
`Select` | `addSelect(java.lang.String tag, java.lang.String label, boolean multiple, int size)` Add a Select field
`Select` | `addSelect(java.lang.String tag, java.lang.String label, boolean multiple, int size, java.util.Enumeration values)` Add a Select field initialised with fields
`void` | `addText(java.lang.String label, java.lang.String value)` Add an informational section
`TextArea` | `addTextArea(java.lang.String tag, java.lang.String label, int width, int height, java.lang.String value)` Add a Text Area.
`Input` | `addTextField(java.lang.String tag, java.lang.String label, int length, java.lang.String value)` Add a Text Entry Field.
`void` | `buttonsAtBottom()`
`TableForm` | `extendRow()` Extend the usage of the current row in the form.
`void` | `newColumns()` Add a new sections of columns.
`void` | `newTable()` Start using a new Table.
`Table` | `outerTable()` Get the internal table
`void` | `setColumnSpan(int span)` Set the column span of the current column.
`Table` | `table()` Get the internal table
`void` | `useAttributes(java.lang.String attr)` Use the given attributes on the next addXXX
`void` | `write(java.io.Writer out)` Write the composite.

Methods inherited from class com.mortbay.HTML.Form
`action, encoding, method, target`

Methods inherited from class com.mortbay.HTML.Composite
`add, contents, nest, replace, reset, setNest, size, unnest`

Methods inherited from class com.mortbay.HTML.Element
`attribute, attribute, attribute, attributes, attributes, bgColor, bottom, center, color, cssClass, cssID, height, height, height, left, middle, right, setAttributesFrom, size, size, style, top, toString, width, width, width, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TableForm

    public TableForm(java.lang.String target)

  Create a new TableForm
  Parameters:
    `target` - The target url to send the form contents to

Method Detail

### addText

    public void addText(java.lang.String label,
                        java.lang.String value)

  Add an informational section

### addTextField

    public Input addTextField(java.lang.String tag,
                              java.lang.String label,
                              int length,
                              java.lang.String value)

  Add a Text Entry Field.
  Parameters:
    `tag` - The form name of the element
    `label` - The label for the element in the table.

### addTextArea

    public TextArea addTextArea(java.lang.String tag,
                                java.lang.String label,
                                int width,
                                int height,
                                java.lang.String value)

  Add a Text Area.
  Parameters:
    `tag` - The form name of the element
    `label` - The label for the element in the table.

### addInfoField

    public void addInfoField(java.lang.String tag,
                             java.lang.String label,
                             java.lang.String value)

  Add an informational field which also passes the data as hidden
  Parameters:
    `tag` - The form name of the element
    `label` - The label for the element in the table.

### addHiddenField

    public void addHiddenField(java.lang.String tag,
                               java.lang.String value)

  Add a hidden field.
  Parameters:
    `tag` - The form name of the element

### addPassword

    public void addPassword(java.lang.String tag,
                            java.lang.String label,
                            int length)

  Add a password field
  Parameters:
    `tag` - The form name of the element
    `label` - The label for the element in the table.

### addCheckbox

    public void addCheckbox(java.lang.String tag,
                            java.lang.String label,
                            boolean checked)

  Parameters:
    `tag` - The form name of the element
    `label` - The label for the element in the table.

### addSelect

    public Select addSelect(java.lang.String tag,
                            java.lang.String label,
                            boolean multiple,
                            int size)

  Add a Select field
  Parameters:
    `tag` - The form name of the element
    `label` - The label for the element in the table.

### addSelect

    public Select addSelect(java.lang.String tag,
                            java.lang.String label,
                            boolean multiple,
                            int size,
                            java.util.Enumeration values)

  Add a Select field initialised with fields
  Parameters:
    `tag` - The form name of the element
    `label` - The label for the element in the table.

### addButtonArea

    public void addButtonArea(java.lang.String label)

### addButtonArea

    public void addButtonArea()

### addButtonRow

    public void addButtonRow()

### buttonsAtBottom

    public void buttonsAtBottom()

### addButton

    public Input addButton(java.lang.String tag,
                           java.lang.String label)

  Add a Submit Button
  Parameters:
    `tag` - The form name of the element
    `label` - The label for the Button

### addReset

    public void addReset(java.lang.String label)

  Add a reset button
  Parameters:
    `tag` - The form name of the element
    `label` - The label for the element in the table.

### useAttributes

    public void useAttributes(java.lang.String attr)

  Use the given attributes on the next addXXX

### table

    public Table table()

  Get the internal table

### outerTable

    public Table outerTable()

  Get the internal table

### extendRow

    public TableForm extendRow()

  Extend the usage of the current row in the form. The next element added will be added to the same row as the form and not have a label of it's own.
  Returns:
    TableForm, the this pointer so that users can write:

                            tableForm.extendRow().addField(...)

### addField

    public void addField(java.lang.String label,
                         Element field)

  Add an arbitrary element to the table
  Parameters:
    `label` - The label for the element in the table.

### addColumn

    public void addColumn()

  Create a new column in the form.

### addColumn

    public void addColumn(int spacing)

  Create a new column in the form.

### newColumns

    public void newColumns()

  Add a new sections of columns.

### setColumnSpan

    public void setColumnSpan(int span)

  Set the column span of the current column. This call is needed for forms that have varying numbers of columns in different sections. NB. and column spacing counts as a column.
  Parameters:
    `span` -

### newTable

    public void newTable()

  Start using a new Table. Anything added to the Composite parent of this object before this is called will be added between the two tables.

### write

    public void write(java.io.Writer out)
               throws java.io.IOException

  Description copied from class: Composite
  Write the composite. The default implementation writes the elements sequentially. May be overridden for more specialized behaviour.
  Overrides:
    write in class Form
  Tags copied from class: Composite
  Parameters:
    `out` - Writer to write the element to.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD